summaryrefslogtreecommitdiffstats
path: root/scripts/ldadp-setperms
diff options
context:
space:
mode:
authorSimon Rettberg2015-02-24 16:26:17 +0100
committerSimon Rettberg2015-02-24 16:26:17 +0100
commita566736e62ebca8a0e93c5c07c3c07cceded9826 (patch)
tree2aaa537d644c5c6b473b458e0dc287bfa7796ca0 /scripts/ldadp-setperms
parentFix AD pam and scripts (diff)
downloadtmlite-bwlp-a566736e62ebca8a0e93c5c07c3c07cceded9826.tar.gz
tmlite-bwlp-a566736e62ebca8a0e93c5c07c3c07cceded9826.tar.xz
tmlite-bwlp-a566736e62ebca8a0e93c5c07c3c07cceded9826.zip
Bump
Diffstat (limited to 'scripts/ldadp-setperms')
-rwxr-xr-xscripts/ldadp-setperms19
1 files changed, 19 insertions, 0 deletions
diff --git a/scripts/ldadp-setperms b/scripts/ldadp-setperms
new file mode 100755
index 0000000..2c6ea08
--- /dev/null
+++ b/scripts/ldadp-setperms
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+BASE="/opt/ldadp/configs"
+
+[ -z "$1" ] && exit 11
+echo "$1" | grep -q -E '^[0-9]+$' || exit 12
+
+FILE="${BASE}/${1}"
+
+[ -e "${FILE}.cfg" ] || exit 9
+[ -e "${FILE}.crt.pem" ] || exit 8
+[ -e "${FILE}.key.pem" ] || exit 7
+
+for ext in cfg crt.pem key.pem; do
+ file="${FILE}.${ext}"
+ /bin/chown taskmanager:ldadp "$file" || exit 6
+ /bin/chmod 0640 "$file" || exit 5
+done
+